## org.gnu.gdk
Class VisualType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.VisualType

public class VisualType
extends org.gnu.glib.Enum

Field Summary
`static VisualType` `DIRECT_COLOR`
`static VisualType` `GRAYSCALE`
`static VisualType` `PSEUDO_COLOR`
`static VisualType` `STATIC_COLOR`
`static VisualType` `STATIC_GRAY`
`static VisualType` `TRUE_COLOR`

Method Summary
`VisualType` `and(VisualType other)`
`static VisualType` `getVisualType(int type)` Builds a VisualType.
`static VisualType` `intern(int value)`
`VisualType` `or(VisualType other)`
`boolean` `test(VisualType other)`
`VisualType` `xor(VisualType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATIC_GRAY

    public static final VisualType STATIC_GRAY

### GRAYSCALE

    public static final VisualType GRAYSCALE

### STATIC_COLOR

    public static final VisualType STATIC_COLOR

### PSEUDO_COLOR

    public static final VisualType PSEUDO_COLOR

### TRUE_COLOR

    public static final VisualType TRUE_COLOR

### DIRECT_COLOR

    public static final VisualType DIRECT_COLOR

Method Detail

### getVisualType

    public static VisualType getVisualType(int type)

  Builds a VisualType.

### intern

    public static VisualType intern(int value)

### or

    public VisualType or(VisualType other)

### and

    public VisualType and(VisualType other)

### xor

    public VisualType xor(VisualType other)

### test

    public boolean test(VisualType other)